> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

> Create Group — CometChat documentation.

## Overview

`CometChatCreateGroup` is a [Component](/ui-kit/react/v4/components-overview#components) enabling users to create various types of groups, including public, private, and password-protected ones. This functionality enables users to curate their group settings according to their preferences and needs.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/DVg4aTljRFe0drLF/images/226071f7-create_groups_overview_web_screens-d748cb1ec2550f61645ad8b8c86d6e67.png?fit=max&auto=format&n=DVg4aTljRFe0drLF&q=85&s=851350c230410887eb45f934ad693316" width="3600" height="2400" data-path="images/226071f7-create_groups_overview_web_screens-d748cb1ec2550f61645ad8b8c86d6e67.png" />
</Frame>

The Create Groups component is composed of the following BaseComponents:

| Components                                | Description                                                                                         |
| ----------------------------------------- | --------------------------------------------------------------------------------------------------- |
| cometchat-button                          | This component represents a button with optional icon and text.                                     |
| [cometchat-label](/ui-kit/react/v4/label) | This component provides descriptive information about the associated UI element.                    |
| [cometchat-input](/ui-kit/react/v4/input) | This component allows users to enter or provide data or information within a web form or interface. |

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Create Groups component into your Application.

<Tabs>
  <Tab title="CreateGroupDemo.tsx">
    ```typescript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      return <CreateGroup />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import { CreateGroupDemo } from "./CreateGroupDemo";

    export default function App() {
      return (
        <div className="App">
          <CreateGroupDemo />
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

#### 1. createClick

The `createClick` action is activated when you click the create Group button. This returns the created groups. You can override this action using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CreateGroupDemo.tsx

    ```typescript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      function handleClick(group: CometChat.Group): void {
        console.log("custom on create click actions");
      }

      return <CreateGroup createClick={handleClick} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CreateGroupDemo.jsx

    ```javascript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      function handleClick(group) {
        console.log("custom on create click actions");
      }

      return <CreateGroup createClick={handleClick} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>
</Tabs>

#### 2. closeCallback

The `closeCallback` action is activated when you click the close button. You can override this action using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CreateGroupDemo.tsx

    ```typescript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const handleCloseCallBack = () => {
        console.log("CLOSE");
      };

      return <CreateGroup closeCallback={handleCloseCallBack} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CreateGroupDemo.jsx

    ```javascript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const handleCloseCallBack = () => {
        console.log("CLOSE");
      };

      return <CreateGroup closeCallback={handleCloseCallBack} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>
</Tabs>

#### 3. errorCallback

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Groups component.

<Tabs>
  <Tab title="TypeScript">
    CreateGroupDemo.tsx

    ```typescript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const handleOnError = () => {
        console.log("error");
      };

      return <CreateGroup errorCallback={handleOnError} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CreateGroupDemo.jsx

    ```javascript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const handleOnError = () => {
        console.log("error");
      };

      return <CreateGroup errorCallback={handleOnError} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `CreateGroup` component does not have any exposed filters.

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

Events emitted by the Create Group component is as follows.

| Event              | Description                                         |
| ------------------ | --------------------------------------------------- |
| **ccGroupCreated** | Triggers when the user creates a group successfully |

<Tabs>
  <Tab title="Add Listener">
    ```javascript theme={null}
    const ccGroupCreated = CometChatGroupEvents.ccGroupCreated.subscribe(
      (group: CometChat.Group) => {
        //Your Code
      }
    );
    ```
  </Tab>
</Tabs>

***

<Tabs>
  <Tab title="Remove Listener">
    ```javascript theme={null}
    ccGroupCreated?.unsubscribe();
    ```
  </Tab>
</Tabs>

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Create Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. CreateGroup Style

You can set the `CreateGroupStyle` to the `Create Group` Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/944dbdae-create_groups_style_web_screens-c2f1c1bd061c774cc8b25fd75f33bb97.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=ab739bab2a54446b756a052d074922b6" width="3600" height="2400" data-path="images/944dbdae-create_groups_style_web_screens-c2f1c1bd061c774cc8b25fd75f33bb97.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CreateGroupDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCreateGroup,
      CreateGroupStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const createGroupStyle = new CreateGroupStyle({
        background: "#e2d6ff",
        activeGroupTypeBackground: "#bdbae0",
        activeGroupTypeTextColor: "#000000",
        height: "500px",
        width: "500px",
      });

      return <CreateGroup createGroupStyle={createGroupStyle} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CreateGroupDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCreateGroup,
      CreateGroupStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      const createGroupStyle = new CreateGroupStyle({
        background: "#e2d6ff",
        activeGroupTypeBackground: "#bdbae0",
        activeGroupTypeTextColor: "#000000",
        height: "500px",
        width: "500px",
      });

      return <CreateGroup createGroupStyle={createGroupStyle} />;
    };

    export default CreateGroupDemo;
    ```
  </Tab>
</Tabs>

List of properties exposed by CreateGroupStyle

| Property                              | Description                                                          | Code                                          |
| ------------------------------------- | -------------------------------------------------------------------- | --------------------------------------------- |
| **border**                            | Used to set border                                                   | `border?: string,`                            |
| **borderRadius**                      | Used to set border radius                                            | `borderRadius?: string;`                      |
| **background**                        | Used to set background colour                                        | `background?: string;`                        |
| **height**                            | Used to set height                                                   | `height?: string;`                            |
| **width**                             | Used to set width                                                    | `width?: string;`                             |
| **boxShadow**                         | Sets shadow effects around the element                               | `boxShadow?: string;`                         |
| **groupTypeTextFont**                 | Sets the font style of the text indicating group types               | `groupTypeTextFont?: string;`                 |
| **groupTypeBorder**                   | Sets the border style for group type indicators                      | `groupTypeBorder?: string;`                   |
| **groupTypeBorderRadius**             | Sets the border radius for group type indicators                     | `groupTypeBorderRadius?: string;`             |
| **groupTypeTextColor**                | Sets the color of the text indicating group types                    | `groupTypeTextColor?: string;`                |
| **groupTypeTextBackground**           | Sets the background color for text indicating group types            | `groupTypeTextBackground?: string;`           |
| **groupTypeBackground**               | Sets the background color for group type indicators                  | `groupTypeBackground?: string;`               |
| **groupTypeBoxShadow**                | Sets shadow effects around the group type indicators                 | `groupTypeBoxShadow?: string;`                |
| **activeGroupTypeTextFont**           | Sets the font style of the text indicating active group types        | `activeGroupTypeTextFont?: string;`           |
| **activeGroupTypeTextColor**          | Sets the color of the text indicating active group types             | `activeGroupTypeTextColor?: string;`          |
| **activeGroupTypeBackground**         | Sets the background color for active group type indicators           | `activeGroupTypeBackground?: string;`         |
| **activeGroupTypeBoxShadow**          | Sets shadow effects around the active group type indicators          | `activeGroupTypeBoxShadow?: string;`          |
| **activeGroupTypeBorderRadius**       | Sets the border radius for active group type indicators              | `activeGroupTypeBorderRadius?: string;`       |
| **activeGroupTypeBorder**             | Sets the border style for active group type indicators               | `activeGroupTypeBorder?: string;`             |
| **groupTypeTextBoxShadow**            | Sets shadow effects around the group type indicators container       | `groupTypeTextBoxShadow?: string;`            |
| **groupTypeTextBorderRadius**         | Sets the border radius for the container of group type indicators    | `groupTypeTextBorderRadius?: string;`         |
| **closeIconTint**                     | Sets the color of the close icon                                     | `closeIconTint?: string;`                     |
| **titleTextFont**                     | Sets the font style for the title text in the app bar                | `titleTextFont?: string;`                     |
| **titleTextColor**                    | Sets the color for the title text in the app bar                     | `titleTextColor?: string;`                    |
| **errorTextFont**                     | Sets the font style for error messages                               | `errorTextFont?: string;`                     |
| **errorTextBackground**               | Sets the background color for error messages                         | `errorTextBackground?: string;`               |
| **errorTextBorderRadius**             | Sets the border radius for error messages                            | `errorTextBorderRadius?: string;`             |
| **errorTextBorder**                   | Sets the border style for error messages                             | `errorTextBorder?: string;`                   |
| **errorTextColor**                    | Sets the color for error messages                                    | `errorTextColor?: string;`                    |
| **nameInputPlaceholderTextFont**      | Sets the font style for placeholder text in the name input field     | `nameInputPlaceholderTextFont?: string;`      |
| **nameInputPlaceholderTextColor**     | Sets the color for placeholder text in the name input field          | `nameInputPlaceholderTextColor?: string;`     |
| **nameInputBackground**               | Sets the background color for the name input field                   | `nameInputBackground?: string;`               |
| **nameInputTextFont**                 | Sets the font style for text in the name input field                 | `nameInputTextFont?: string;`                 |
| **nameInputTextColor**                | Sets the color for text in the name input field                      | `nameInputTextColor?: string;`                |
| **nameInputBorder**                   | Sets the border style for the name input field                       | `nameInputBorder?: string;`                   |
| **nameInputBorderRadius**             | Sets the border radius for the name input field                      | `nameInputBorderRadius?: string;`             |
| **nameInputBoxShadow**                | Sets shadow effects around the name input field                      | `nameInputBoxShadow?: string;`                |
| **passwordInputPlaceholderTextFont**  | Sets the font style for placeholder text in the password input field | `passwordInputPlaceholderTextFont?: string;`  |
| **passwordInputPlaceholderTextColor** | Sets the color for placeholder text in the password input field      | `passwordInputPlaceholderTextColor?: string;` |
| **passwordInputBackground**           | Sets the background color for the password input field               | `passwordInputBackground?: string;`           |
| **passwordInputBorder**               | Sets the border style for the password input field                   | `passwordInputBorder?: string;`               |
| **passwordInputBorderRadius**         | Sets the border radius for the password input field                  | `passwordInputBorderRadius?: string;`         |
| **passwordInputBoxShadow**            | Sets shadow effects around the password input field                  | `passwordInputBoxShadow?: string;`            |
| **passwordInputTextFont**             | Sets the font style for text in the password input field             | `passwordInputTextFont?: string;`             |
| **passwordInputTextColor**            | Sets the color for text in the password input field                  | `passwordInputTextColor?: string;`            |
| **createGroupButtonTextFont**         | Sets the font style for text on the create group button              | `createGroupButtonTextFont?: string;`         |
| **createGroupButtonTextColor**        | Sets the color for text on the create group button                   | `createGroupButtonTextColor?: string;`        |
| **createGroupButtonBackground**       | Sets the background color for the create group button                | `createGroupButtonBackground?: string;`       |
| **createGroupButtonBorderRadius**     | Sets the border radius for the create group button                   | `createGroupButtonBorderRadius?: string;`     |
| **createGroupButtonBorder**           | Sets the border style for the create group button                    | `createGroupButtonBorder?: string;`           |

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="TypeScript">
    CreateGroupDemo.tsx

    ```typescript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      return (
        <CreateGroup
          title="Your Custom Title"
          createGroupButtonText="Your Custom Create Group Button Text"
          hideCloseButton={true}
        />
      );
    };

    export default CreateGroupDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CreateGroupDemo.jsx

    ```javascript theme={null}
    import { CometChatCreateGroup } from "@cometchat/chat-uikit-react";
    import React from "react";
    import { createComponent } from "@lit-labs/react";

    const CreateGroupDemo = () => {
      const CreateGroup = createComponent({
        tagName: "cometchat-create-group",
        elementClass: CometChatCreateGroup,
        react: React,
      });

      return (
        <CreateGroup
          title="Your Custom Title"
          createGroupButtonText="Your Custom Create Group Button Text"
          hideCloseButton={true}
        />
      );
    };

    export default CreateGroupDemo;
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9e8d6e7c-create_groups_functionality_default_web_screens-00fca2a98bb57ffee86c5878fe6d6002.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=118e913ab17c3fe90cd48febc56a52ce" width="3600" height="2400" data-path="images/9e8d6e7c-create_groups_functionality_default_web_screens-00fca2a98bb57ffee86c5878fe6d6002.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/96e3bc54-create_groups_functionality_custom_web_screens-30b9466364677404d0fd82a7e1c3c9a1.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=ad35b9124e0b06846571ffcd8b0b2480" width="3600" height="2400" data-path="images/96e3bc54-create_groups_functionality_custom_web_screens-30b9466364677404d0fd82a7e1c3c9a1.png" />
</Frame>

| Property                         | Description                                      | Code                                                                         |
| -------------------------------- | ------------------------------------------------ | ---------------------------------------------------------------------------- |
| **title**                        | Custom title for the component                   | `title='Your Custom Title'`                                                  |
| **createGroupButtonText**        | Custom text for the create group button          | `createGroupButtonText='Your Custom Create Group Button Text'`               |
| **nameInputPlaceholderText**     | Custom placeholder text for name input field     | `nameInputPlaceholderText='Your Custom Name InputPlaceholder Text'`          |
| **passwordInputPlaceholderText** | Custom placeholder text for password input field | `passwordInputPlaceholderText='Your Custom Password Input Placeholder Text'` |
| **errorStateText**               | Custom error state text                          | `errorStateText='Your Custom Error State Text'`                              |
| **closeButtonIconURL**           | URL for a custom close button icon               | `closeButtonIconURL='Custom Close Icon'`                                     |
| **hideCloseButton**              | Whether to hide the close button                 | `hideCloseButton={true}`                                                     |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

the `Create Group` component does not offer any advanced functionalities beyond this level of customization.

***


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

> Create Group — CometChat documentation.

## Overview

`CometChatCreateGroup` is a [Component](/docs/ui-kit/angular/v4/components-overview#components) enabling users to create various types of groups, including public, private, and password-protected ones. This functionality enables users to curate their group settings according to their preferences and needs.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/DVg4aTljRFe0drLF/images/226071f7-create_groups_overview_web_screens-d748cb1ec2550f61645ad8b8c86d6e67.png?fit=max&auto=format&n=DVg4aTljRFe0drLF&q=85&s=851350c230410887eb45f934ad693316" width="3600" height="2400" data-path="images/226071f7-create_groups_overview_web_screens-d748cb1ec2550f61645ad8b8c86d6e67.png" />
</Frame>

The Create Groups component is composed of the following BaseComponents:

| Components                                  | Description                                                                                         |
| ------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| cometchat-button                            | This component represents a button with optional icon and text.                                     |
| [cometchat-label](/docs/ui-kit/angular/v4/label) | This component provides descriptive information about the associated UI element.                    |
| [cometchat-input](/docs/ui-kit/angular/v4/input) | This component allows users to enter or provide data or information within a web form or interface. |

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Create Groups component into your Application.

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

##### 1. createClick

The `createClick` action is activated when you click the create Group button. This returns the created groups. You can override this action using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';

      public handleCreateClick = (group: CometChat.Group)=>{
        console.log("your custom create click action", group);
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group
        [createClick]="handleCreateClick"
      ></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. closeCallback

The `closeCallback` action is activated when you click the close button. You can override this action using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';

      public handleCloseCallback = () => {
        console.log("your custom close callback actions");
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group
        [closeCallback]="handleCloseCallback"
      ></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. errorCallback

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Groups component.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';

      public handleErrorCallback = () => {
        console.log("yoour custom error callback");
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group
        [errorCallback]="handleErrorCallback"
      ></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `CreateGroup` component does not have any exposed filters.

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

Events emitted by the Create Group component is as follows.

| Event              | Description                                         |
| ------------------ | --------------------------------------------------- |
| **ccGroupCreated** | Triggers when the user creates a group successfully |

<Tabs>
  <Tab title="TypeScript">
    ```ts theme={null}
    import {CometChatGroupEvents} from "@cometchat/chat-uikit-angular";

    this.ccGroupCreated = CometChatGroupEvents.ccGroupCreated.subscribe(
      (group: CometChat.Group) => {
            // Your Code
      }
    );
    ```
  </Tab>
</Tabs>

***

Removing `CometChatGroupEvents` Listener's

<Tabs>
  <Tab title="TypeScript">
    ```ts theme={null}
    this.ccGroupCreated.unsubscribe();
    ```
  </Tab>
</Tabs>

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Create Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. CreateGroup Style

You can set the `CreateGroupStyle` to the `Create Group` Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/HFXOvmhiLRb5ClID/images/944dbdae-create_groups_style_web_screens-c2f1c1bd061c774cc8b25fd75f33bb97.png?fit=max&auto=format&n=HFXOvmhiLRb5ClID&q=85&s=ab739bab2a54446b756a052d074922b6" width="3600" height="2400" data-path="images/944dbdae-create_groups_style_web_screens-c2f1c1bd061c774cc8b25fd75f33bb97.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, CreateGroupStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';

      createGroupStyle = new CreateGroupStyle({
        background: "#e2d6ff",
        activeGroupTypeBackground: "#bdbae0",
        activeGroupTypeTextColor: "#000000",
        height: "500px",
        width: "500px",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group
        [createGroupStyle]="createGroupStyle"
      ></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

List of properties exposed by CreateGroupStyle

| Property                              | Description                                                          | Code                                          |
| ------------------------------------- | -------------------------------------------------------------------- | --------------------------------------------- |
| **border**                            | Used to set border                                                   | `border?: string,`                            |
| **borderRadius**                      | Used to set border radius                                            | `borderRadius?: string;`                      |
| **background**                        | Used to set background colour                                        | `background?: string;`                        |
| **height**                            | Used to set height                                                   | `height?: string;`                            |
| **width**                             | Used to set width                                                    | `width?: string;`                             |
| **boxShadow**                         | Sets shadow effects around the element                               | `boxShadow?: string;`                         |
| **groupTypeTextFont**                 | Sets the font style of the text indicating group types               | `groupTypeTextFont?: string;`                 |
| **groupTypeBorder**                   | Sets the border style for group type indicators                      | `groupTypeBorder?: string;`                   |
| **groupTypeBorderRadius**             | Sets the border radius for group type indicators                     | `groupTypeBorderRadius?: string;`             |
| **groupTypeTextColor**                | Sets the color of the text indicating group types                    | `groupTypeTextColor?: string;`                |
| **groupTypeTextBackground**           | Sets the background color for text indicating group types            | `groupTypeTextBackground?: string;`           |
| **groupTypeBackground**               | Sets the background color for group type indicators                  | `groupTypeBackground?: string;`               |
| **groupTypeBoxShadow**                | Sets shadow effects around the group type indicators                 | `groupTypeBoxShadow?: string;`                |
| **activeGroupTypeTextFont**           | Sets the font style of the text indicating active group types        | `activeGroupTypeTextFont?: string;`           |
| **activeGroupTypeTextColor**          | Sets the color of the text indicating active group types             | `activeGroupTypeTextColor?: string;`          |
| **activeGroupTypeBackground**         | Sets the background color for active group type indicators           | `activeGroupTypeBackground?: string;`         |
| **activeGroupTypeBoxShadow**          | Sets shadow effects around the active group type indicators          | `activeGroupTypeBoxShadow?: string;`          |
| **activeGroupTypeBorderRadius**       | Sets the border radius for active group type indicators              | `activeGroupTypeBorderRadius?: string;`       |
| **activeGroupTypeBorder**             | Sets the border style for active group type indicators               | `activeGroupTypeBorder?: string;`             |
| **groupTypeTextBoxShadow**            | Sets shadow effects around the group type indicators container       | `groupTypeTextBoxShadow?: string;`            |
| **groupTypeTextBorderRadius**         | Sets the border radius for the container of group type indicators    | `groupTypeTextBorderRadius?: string;`         |
| **closeIconTint**                     | Sets the color of the close icon                                     | `closeIconTint?: string;`                     |
| **titleTextFont**                     | Sets the font style for the title text in the app bar                | `titleTextFont?: string;`                     |
| **titleTextColor**                    | Sets the color for the title text in the app bar                     | `titleTextColor?: string;`                    |
| **errorTextFont**                     | Sets the font style for error messages                               | `errorTextFont?: string;`                     |
| **errorTextBackground**               | Sets the background color for error messages                         | `errorTextBackground?: string;`               |
| **errorTextBorderRadius**             | Sets the border radius for error messages                            | `errorTextBorderRadius?: string;`             |
| **errorTextBorder**                   | Sets the border style for error messages                             | `errorTextBorder?: string;`                   |
| **errorTextColor**                    | Sets the color for error messages                                    | `errorTextColor?: string;`                    |
| **nameInputPlaceholderTextFont**      | Sets the font style for placeholder text in the name input field     | `nameInputPlaceholderTextFont?: string;`      |
| **nameInputPlaceholderTextColor**     | Sets the color for placeholder text in the name input field          | `nameInputPlaceholderTextColor?: string;`     |
| **nameInputBackground**               | Sets the background color for the name input field                   | `nameInputBackground?: string;`               |
| **nameInputTextFont**                 | Sets the font style for text in the name input field                 | `nameInputTextFont?: string;`                 |
| **nameInputTextColor**                | Sets the color for text in the name input field                      | `nameInputTextColor?: string;`                |
| **nameInputBorder**                   | Sets the border style for the name input field                       | `nameInputBorder?: string;`                   |
| **nameInputBorderRadius**             | Sets the border radius for the name input field                      | `nameInputBorderRadius?: string;`             |
| **nameInputBoxShadow**                | Sets shadow effects around the name input field                      | `nameInputBoxShadow?: string;`                |
| **passwordInputPlaceholderTextFont**  | Sets the font style for placeholder text in the password input field | `passwordInputPlaceholderTextFont?: string;`  |
| **passwordInputPlaceholderTextColor** | Sets the color for placeholder text in the password input field      | `passwordInputPlaceholderTextColor?: string;` |
| **passwordInputBackground**           | Sets the background color for the password input field               | `passwordInputBackground?: string;`           |
| **passwordInputBorder**               | Sets the border style for the password input field                   | `passwordInputBorder?: string;`               |
| **passwordInputBorderRadius**         | Sets the border radius for the password input field                  | `passwordInputBorderRadius?: string;`         |
| **passwordInputBoxShadow**            | Sets shadow effects around the password input field                  | `passwordInputBoxShadow?: string;`            |
| **passwordInputTextFont**             | Sets the font style for text in the password input field             | `passwordInputTextFont?: string;`             |
| **passwordInputTextColor**            | Sets the color for text in the password input field                  | `passwordInputTextColor?: string;`            |
| **createGroupButtonTextFont**         | Sets the font style for text on the create group button              | `createGroupButtonTextFont?: string;`         |
| **createGroupButtonTextColor**        | Sets the color for text on the create group button                   | `createGroupButtonTextColor?: string;`        |
| **createGroupButtonBackground**       | Sets the background color for the create group button                | `createGroupButtonBackground?: string;`       |
| **createGroupButtonBorderRadius**     | Sets the border radius for the create group button                   | `createGroupButtonBorderRadius?: string;`     |
| **createGroupButtonBorder**           | Sets the border style for the create group button                    | `createGroupButtonBorder?: string;`           |

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      title = 'angular-app';
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-create-group
        [title]="'Your Custom Title'"
        [createGroupButtonText]="'Your Custom Create Group Button Text'"
        [hideCloseButton]="true"
      ></cometchat-create-group>
    </div>
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9e8d6e7c-create_groups_functionality_default_web_screens-00fca2a98bb57ffee86c5878fe6d6002.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=118e913ab17c3fe90cd48febc56a52ce" width="3600" height="2400" data-path="images/9e8d6e7c-create_groups_functionality_default_web_screens-00fca2a98bb57ffee86c5878fe6d6002.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/96e3bc54-create_groups_functionality_custom_web_screens-30b9466364677404d0fd82a7e1c3c9a1.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=ad35b9124e0b06846571ffcd8b0b2480" width="3600" height="2400" data-path="images/96e3bc54-create_groups_functionality_custom_web_screens-30b9466364677404d0fd82a7e1c3c9a1.png" />
</Frame>

| Property                         | Description                                      | Code                                                                             |
| -------------------------------- | ------------------------------------------------ | -------------------------------------------------------------------------------- |
| **title**                        | Custom title for the component                   | `[title]="'Your Custom Title'"`                                                  |
| **createGroupButtonText**        | Custom text for the create group button          | `[createGroupButtonText]="'Your Custom Create Group Button Text'"`               |
| **nameInputPlaceholderText**     | Custom placeholder text for name input field     | `[nameInputPlaceholderText]="'Your Custom Name InputPlaceholder Text'"`          |
| **passwordInputPlaceholderText** | Custom placeholder text for password input field | `[passwordInputPlaceholderText]="'Your Custom Password Input Placeholder Text'"` |
| **errorStateText**               | Custom error state text                          | `[errorStateText]="'Your Custom Error State Text'"`                              |
| **closeButtonIconURL**           | URL for a custom close button icon               | `[closeButtonIconURL]="closeButtonIconURL"`                                      |
| **hideCloseButton**              | Whether to hide the close button                 | `[hideCloseButton]="true"`                                                       |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

the `Create Group` component does not offer any advanced functionalities beyond this level of customization.

***
